### Method

# Vte Terminal ref_termprop_image_surface_by_id

since: 0.80

#### Declaration [src]

    cairo_surface_t*
    vte_terminal_ref_termprop_image_surface_by_id (
      VteTerminal* terminal,
      int prop
    )

#### Description [src]

Like `vte_terminal_ref_termprop_image_surface()` except that it takes the termprop by ID. See that function for more information.

Available since: 0.80

#### Parameters

`prop`

  Type: `int`

  A termprop ID.

#### Return value

Type: `cairo_surface_t`

The property’s value as a #cairo_surface_t, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.